AutoCAD顧問
還沒有註冊嗎...即日起免費註冊,所有最完整的AutoCAD討論、教學及資源都在論壇裡喔~

雲形線轉換聚合線 CVPL指令之下載點?

上一篇主題 下一篇主題 向下

雲形線轉換聚合線 CVPL指令之下載點?

發表 由 阿德^_ 于 2008-06-30, 16:21

Tiger&蘋果爸
請告訴我AutoLISP程式-
雲形線轉換聚合線 CVPL指令之下載點
謝謝^_^

阿德^_
訪客


回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 Tiger&蘋果爸 于 2008-07-01, 03:35

阿德^_ 寫到:Tiger&蘋果爸
請告訴我AutoLISP程式-
雲形線轉換聚合線 CVPL指令之下載點
謝謝^_^

已經回信給你囉~
請在試試有問題在提!!
竊喜

載點:
「LISP下載」雲形線轉為弧:cvpl.lsp
http://www.autocad-tw.com/forum-f40/topic-t655.htm


Tiger&蘋果爸 在 2008-12-18, 10:23 作了第 1 次修改

____________________________________________________________________________________
avatar
Tiger&蘋果爸
系統管理員
系統管理員

文章總數 : 17328
年齡 : 41
來自 : 台北市文山區
職業 : AutoCAD顧問
愛好 : 蹓狗/戶外活動/拍照
個性 : 幽默/樂觀/善良
使用年資 : 15↑
使用版本 : AutoCAD 2016
經驗值 : 65335
威望值 : 12868
注冊日期 : 2008-04-23
2D基礎函授 2D進階函授 3D基礎函授 https://i11.servimg.com/u/f11/19/71/67/71/2d3d10.png2D+3D線上 顧問外掛程式 經典問與答讀者 藍鵲1號
2009聚會勳章 2010聚會勳章 2011聚會勳章 2012聚會勳章 2013勳章-2D基礎 2014聚會勳章 2015聚會勳章 2016聚會勳章 串連貼紙成功 男 水瓶座 兔

http://mypaper.pchome.com.tw/kv1012tiger

回頂端 向下

雲形線改聚合線的LISP

發表 由 chiahua 于 2008-07-15, 02:54

Tiger&蘋果爸你好
上網找了好久有關雲形線改成聚合線的方式
大多都沒辦法改,剛好逛到這裡
看到有寫LISP可以解決的方式,
希望Tiger&蘋果爸能把LISP的載點給我 ~~
謝謝!! 感動

chiahua
訪客


回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 Tiger&蘋果爸 于 2008-07-15, 07:17

chiahua 寫到:Tiger&蘋果爸你好
上網找了好久有關雲形線改成聚合線的方式
大多都沒辦法改,剛好逛到這裡
看到有寫LISP可以解決的方式,
希望Tiger&蘋果爸能把LISP的載點給我 ~~
謝謝!! 感動

請參考以下文章,不過需要會員才能提供下載服務喔~
http://www.autocad-tw.com/forum-f14/topic-t330.htm

____________________________________________________________________________________
avatar
Tiger&蘋果爸
系統管理員
系統管理員

文章總數 : 17328
年齡 : 41
來自 : 台北市文山區
職業 : AutoCAD顧問
愛好 : 蹓狗/戶外活動/拍照
個性 : 幽默/樂觀/善良
使用年資 : 15↑
使用版本 : AutoCAD 2016
經驗值 : 65335
威望值 : 12868
注冊日期 : 2008-04-23
2D基礎函授 2D進階函授 3D基礎函授 https://i11.servimg.com/u/f11/19/71/67/71/2d3d10.png2D+3D線上 顧問外掛程式 經典問與答讀者 藍鵲1號
2009聚會勳章 2010聚會勳章 2011聚會勳章 2012聚會勳章 2013勳章-2D基礎 2014聚會勳章 2015聚會勳章 2016聚會勳章 串連貼紙成功 男 水瓶座 兔

http://mypaper.pchome.com.tw/kv1012tiger

回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 QQQ 于 2008-07-17, 03:01

這也是從網路上抓下來的把 還要加入會員才能下載喔 板主你還真是錢............

QQQ
訪客


回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 Tiger&蘋果爸 于 2008-07-17, 03:44

QQQ 寫到:這也是從網路上抓下來的把 還要加入會員才能下載喔 板主你還真是錢............

QQQ你好:
很高興提出你的意見,以下是我的回覆~

我主要的任務是解決成員工作上的問題,提供圖文並茂及影片講解文章,而且並會定時製作教學影片,就像你到補習班上課需付費一樣,相信我所花的時間為了提供更多元的服務,並幫助更多的人,如果你不認同這個論壇的教學模式及理念,一樣可以選擇其他論壇,而我在家族也是長期將近3年的免費位各界朋友服務。
這裡的發佈資訊及資源並不是都是從網路上抓的,很多是我的經驗教學及分享,而且這裡也不為了收費才能提供下載,這裡的定位是顧問服務,是幫助需要的人解決問題提供線上動態服務,而其他的程式及文件下載只是附加的服務之一,你可以選擇認同或不認同我的作法,但是請不要以偏概全。
PS:此篇主題的發表人是在奇摩知識+發問,我也沒有收取他任何費用,而其他網友看到此篇文章,想要下載程式其實也可以上網路搜尋,只是剛好我的論壇是個付費的社群,所以我不能接受你的說法~

發表人原始文章:
AUTO-CAD的線形問題(20點)
http://tw.knowledge.yahoo.com/question/question?qid=1508062301033

____________________________________________________________________________________
avatar
Tiger&蘋果爸
系統管理員
系統管理員

文章總數 : 17328
年齡 : 41
來自 : 台北市文山區
職業 : AutoCAD顧問
愛好 : 蹓狗/戶外活動/拍照
個性 : 幽默/樂觀/善良
使用年資 : 15↑
使用版本 : AutoCAD 2016
經驗值 : 65335
威望值 : 12868
注冊日期 : 2008-04-23
2D基礎函授 2D進階函授 3D基礎函授 https://i11.servimg.com/u/f11/19/71/67/71/2d3d10.png2D+3D線上 顧問外掛程式 經典問與答讀者 藍鵲1號
2009聚會勳章 2010聚會勳章 2011聚會勳章 2012聚會勳章 2013勳章-2D基礎 2014聚會勳章 2015聚會勳章 2016聚會勳章 串連貼紙成功 男 水瓶座 兔

http://mypaper.pchome.com.tw/kv1012tiger

回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 QQQ 于 2008-07-17, 10:07

很感謝你把的經驗分享出來 但我覺的 裡面很多教學 都是出自於 吳xx這位老師的內容把 你因該看過 你只花了 6xx多塊 看完一便 在把教學po上來 會不會太.......... 關於這外掛如果是你寫出來的話我沒問題 但這外掛因該不是你寫的把 把網路上抓下來的放在這要收費有點說不過

QQQ
訪客


回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 Tiger&蘋果爸 于 2008-07-17, 10:54

QQQ 寫到:很感謝你把的經驗分享出來 但我覺的 裡面很多教學 都是出自於 吳xx這位老師的內容把 你因該看過 你只花了 6xx多塊 看完一便 在把教學po上來 會不會太.......... 關於這外掛如果是你寫出來的話我沒問題 但這外掛因該不是你寫的把 把網路上抓下來的放在這要收費有點說不過

1.如果你有看過我的動態教學,你會發現跟吳老師的教學內容無關,這一點可以請所有的網友來公評,唯一可能一樣的是AutoCAD標準的操作流程,而所有的教學完全是出自於我的實務經驗及教學分享,而很多文章是書本上所沒有的,你可以在其他論壇或是知識+看到我的文章,聽到你說 "都是出自於 吳xx這位老師的內容" 這部分我很不認同,如果你有真正仔細看過我的文章你或許就不會這麼說了,或是你可以舉例出哪幾篇文章是你所認為的一樣,可以提出來我們一起討論。

2.我可以認同你所說的,外掛的確不是我寫的,這部份的檔案下載連結我可以把它拿掉,日後關於非自創的LISP程式將不會出現在論壇,而此篇文章只做單純的功能展示。

3.最後關於收費問題,我想,真的見仁見智,請參考以下文章有問題請再提出。
[說明]關於收費的問題
http://www.autocad-tw.com/forum-f14/topic-t289.htm

____________________________________________________________________________________
avatar
Tiger&蘋果爸
系統管理員
系統管理員

文章總數 : 17328
年齡 : 41
來自 : 台北市文山區
職業 : AutoCAD顧問
愛好 : 蹓狗/戶外活動/拍照
個性 : 幽默/樂觀/善良
使用年資 : 15↑
使用版本 : AutoCAD 2016
經驗值 : 65335
威望值 : 12868
注冊日期 : 2008-04-23
2D基礎函授 2D進階函授 3D基礎函授 https://i11.servimg.com/u/f11/19/71/67/71/2d3d10.png2D+3D線上 顧問外掛程式 經典問與答讀者 藍鵲1號
2009聚會勳章 2010聚會勳章 2011聚會勳章 2012聚會勳章 2013勳章-2D基礎 2014聚會勳章 2015聚會勳章 2016聚會勳章 串連貼紙成功 男 水瓶座 兔

http://mypaper.pchome.com.tw/kv1012tiger

回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 wretch 于 2008-09-24, 17:45

Tiger&蘋果爸
我也須要這程式的載點
請告訴我AutoLISP程式-
雲形線轉換聚合線 CVPL指令之下載點
謝謝^_^

wretch
新手上路
新手上路

文章總數 : 4
年齡 : 38
來自 : taiwan
職業 : 製造業
經驗值 : 3372
威望值 : 0
注冊日期 : 2008-09-22
男 水瓶座 羊

回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 Tiger&蘋果爸 于 2008-09-25, 02:02

wretch 寫到:Tiger&蘋果爸
我也須要這程式的載點
請告訴我AutoLISP程式-
雲形線轉換聚合線 CVPL指令之下載點
謝謝^_^

很抱歉~由於某個原因無法在分享此程式囉~
所以下載網址已移除了!!


Tiger&蘋果爸 在 2008-12-23, 01:23 作了第 1 次修改

____________________________________________________________________________________
avatar
Tiger&蘋果爸
系統管理員
系統管理員

文章總數 : 17328
年齡 : 41
來自 : 台北市文山區
職業 : AutoCAD顧問
愛好 : 蹓狗/戶外活動/拍照
個性 : 幽默/樂觀/善良
使用年資 : 15↑
使用版本 : AutoCAD 2016
經驗值 : 65335
威望值 : 12868
注冊日期 : 2008-04-23
2D基礎函授 2D進階函授 3D基礎函授 https://i11.servimg.com/u/f11/19/71/67/71/2d3d10.png2D+3D線上 顧問外掛程式 經典問與答讀者 藍鵲1號
2009聚會勳章 2010聚會勳章 2011聚會勳章 2012聚會勳章 2013勳章-2D基礎 2014聚會勳章 2015聚會勳章 2016聚會勳章 串連貼紙成功 男 水瓶座 兔

http://mypaper.pchome.com.tw/kv1012tiger

回頂端 向下

Re: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 PassOver 于 2008-12-18, 09:21

check here:

PassOver
訪客


回頂端 向下

雲形線轉換聚合線 CVPL指令之下載點?

發表 由 poPassOv 于 2008-12-18, 09:28

再補一次 [等效檔]:
discussion.autodesk.com/forums/message.jspa?messageID=5813437

poPassOv
訪客


回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 Tiger&蘋果爸 于 2008-12-18, 10:23

載點:
「LISP下載」雲形線轉為弧:cvpl.lsp
http://www.autocad-tw.com/forum-f40/topic-t655.htm

____________________________________________________________________________________
avatar
Tiger&蘋果爸
系統管理員
系統管理員

文章總數 : 17328
年齡 : 41
來自 : 台北市文山區
職業 : AutoCAD顧問
愛好 : 蹓狗/戶外活動/拍照
個性 : 幽默/樂觀/善良
使用年資 : 15↑
使用版本 : AutoCAD 2016
經驗值 : 65335
威望值 : 12868
注冊日期 : 2008-04-23
2D基礎函授 2D進階函授 3D基礎函授 https://i11.servimg.com/u/f11/19/71/67/71/2d3d10.png2D+3D線上 顧問外掛程式 經典問與答讀者 藍鵲1號
2009聚會勳章 2010聚會勳章 2011聚會勳章 2012聚會勳章 2013勳章-2D基礎 2014聚會勳章 2015聚會勳章 2016聚會勳章 串連貼紙成功 男 水瓶座 兔

http://mypaper.pchome.com.tw/kv1012tiger

回頂端 向下

雲形線轉換聚合線 CVPL指令之下載點?

發表 由 FreeUser 于 2008-12-18, 13:34

;|
Jasenka
In Mechanical Desktop
command: AMUNSPLINE
---------------------------
In Autocad
Try this Lisp: s2p.lsp
|;
;;; ====================================================
;;; CADALYST 12/03 AutoLISP Solutions SPLINE-TO-PLINE.LSP
;;; (c) 2003 Tony Hotchkiss

(defun spline-to-pline (/ i)
(vl-load-com)
(setq *thisdrawing* (vla-get-activedocument
(vlax-get-acad-object)
) ;_ end of vla-get-activedocument
*modelspace* (vla-get-ModelSpace *thisdrawing*)
) ;_ end of setq
(setq spline-list (get-spline))
(setq i (- 1))
(if spline-list
(progn
(setq msg "\nNumber of segments : ")
(initget 6)
(setq num (getint msg))
(if (or (= num 100) (= num nil))
(setq num 100)
) ;_ end of if
(repeat (length spline-list)
(setq splobj (nth (setq i (1+ i)) spline-list))
(convert-spline splobj num)
) ;_ end of repeat
) ;_ end of progn
) ;_ end of if
) ;_ end of spline-to-pline

(defun get-spline (/ spl-list obj spline no-ent i)
(setq spl-list nil
obj nil
spline "AcDbSpline"
selsets (vla-get-selectionsets *thisdrawing*)
ss1 (vlax-make-variant "ss1")
) ;_ end of setq
(if (= (vla-get-count selsets) 0)
(setq ssobj (vla-add selsets ss1))
) ;_ end of if
(vla-clear ssobj)
(setq no-ent 1)
(while no-ent
(prompt "\nSelect splines: ")
(vla-Selectonscreen ssobj)
(if (> (vla-get-count ssobj) 0)
(progn
(setq no-ent nil)
(setq i (- 1))
(repeat (vla-get-count ssobj)
(setq
obj (vla-item ssobj
(vlax-make-variant (setq i (1+ i)))
) ;_ end of vla-item
) ;_ end of setq
(cond
((= (vlax-get-property obj "ObjectName") spline)
(setq spl-list
(append spl-list (list obj))
) ;_ end of setq
)
) ;_ end-of cond
) ;_ end of repeat
) ;_ end of progn
(prompt "\nNo entities selected, try again.")
) ;_ end of if
(if (and (= nil no-ent) (= nil spl-list))
(progn
(setq no-ent 1)
(prompt "\nNo splines selected.")
(quit)
) ;_ end of progn
) ;_ end of if
) ;_ end of while
(vla-delete (vla-item selsets 0))
spl-list
) ;_ end of get-spline

(defun convert-spline (splobj n / i)
(setq point-list nil
2Dpoint-list nil
z-list nil
spl-lyr (vlax-get-property splobj 'Layer)
startSpline (vlax-curve-getStartParam splobj)
endSpline (vlax-curve-getEndParam splobj)
i (- 1)
) ;_ end of setq
(repeat (+ n 1)
(setq i (1+ i))
(setq p (vlax-curve-getPointAtParam
splobj
(* i
(/ (- endspline startspline) n)
) ;_ end of *
) ;_ end of vlax-curve-getPointAtParam
) ;_ end of setq
(setq 2Dp (list (car p) (cadr p))
2Dpoint-list (append 2Dpoint-list 2Dp)
point-list (append point-list p)
z (caddr p)
z-list (append z-list (list z))
) ;_ end of setq
) ;_ end of repeat
(setq summ (apply '+ z-list))
(setq arraySpace
(vlax-make-safearray
vlax-vbdouble ; element type
(cons 0
(- (length point-list) 1)
) ; array dimension
) ;_ end of vlax-make-safearray
) ;_ end of setq
(setq vert-array (vlax-safearray-fill arraySpace point-list))
(vlax-make-variant vert-array)
(if (and (= :vlax-true (vlax-get-property splobj 'IsPLanar))
(= summ 0.0)
) ;_ end of and
(setq plobj (add-polyline
2Dpoint-list
vla-AddLightweightPolyline
) ;_ end of add-polyline
) ;_ end of setq
(setq plobj (add-polyline
point-list
vla-Add3DPoly
) ;_ end of add-polyline
) ;_ end of setq
) ;_ end of if
(vlax-put-property plobj 'Layer spl-lyr)
(vla-delete splobj)
(vlax-release-object splobj)
) ;_ end of convert-spline

(defun add-polyline (pt-list poly-func)
(setq arraySpace
(vlax-make-safearray
vlax-vbdouble
(cons 0
(- (length pt-list) 1)
) ; array dimension
) ;_ end of vlax-make-safearray
) ;_ end of setq
(setq vertex-array
(vlax-safearray-fill arraySpace pt-list)
) ;_ end of setq
(vlax-make-variant vertex-array)
(setq plobj (poly-func
*modelspace*
vertex-array
) ;_ end of poly-func
) ;_ end of setq
) ;_ end of add-polyline

(defun c:s2p ()
(spline-to-pline)
(princ)
) ;_ end of c:s2p

(prompt
"SPLINE-TO-PLINE by Tony Hotchkiss. Enter S2P to start"
) ;_ end of prompt
;;; ====================================================

FreeUser
訪客


回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 baozi_1314 于 2009-06-14, 13:31

哪里可以下载?
avatar
baozi_1314
新手上路
新手上路

文章總數 : 6
年齡 : 35
來自 : gd
職業 : cad
個性 : hao
經驗值 : 3107
威望值 : 0
注冊日期 : 2009-06-14
男 處女座 狗

回頂端 向下

大都是

發表 由 baozi_1314 于 2009-06-14, 13:48

飞洒的方式的方式的
avatar
baozi_1314
新手上路
新手上路

文章總數 : 6
年齡 : 35
來自 : gd
職業 : cad
個性 : hao
經驗值 : 3107
威望值 : 0
注冊日期 : 2009-06-14
男 處女座 狗

回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 baozi_1314 于 2009-06-14, 13:49

放的是十分
avatar
baozi_1314
新手上路
新手上路

文章總數 : 6
年齡 : 35
來自 : gd
職業 : cad
個性 : hao
經驗值 : 3107
威望值 : 0
注冊日期 : 2009-06-14
男 處女座 狗

回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 baozi_1314 于 2009-06-14, 13:49

奋斗史方式地方都是浮雕
avatar
baozi_1314
新手上路
新手上路

文章總數 : 6
年齡 : 35
來自 : gd
職業 : cad
個性 : hao
經驗值 : 3107
威望值 : 0
注冊日期 : 2009-06-14
男 處女座 狗

回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 baozi_1314 于 2009-06-14, 13:50

好几分会的实际看
avatar
baozi_1314
新手上路
新手上路

文章總數 : 6
年齡 : 35
來自 : gd
職業 : cad
個性 : hao
經驗值 : 3107
威望值 : 0
注冊日期 : 2009-06-14
男 處女座 狗

回頂端 向下

回復: 雲形線轉換聚合線 CVPL指令之下載點?

發表 由 wateraustin 于 2011-05-01, 16:45

感謝樓上二的freeuser 鄉民...
還有樓上的人家已經把程式都秀出來了,你還問那裡可下載,
可憐辛苦蘋果把比,都教這一些學生多,不過孔夫子說有教無類
但你們至少lisp程式也看的懂嗎!!!!
avatar
wateraustin
一般會員
一般會員

文章總數 : 27
年齡 : 51
來自 : 台南
職業 : soho 3d,2d 模具
愛好 : pop music,movie
個性 : no good
使用年資 : 23
使用版本 : 2009
經驗值 : 2740
威望值 : 3
注冊日期 : 2010-09-16
男 水瓶座 馬

回頂端 向下

上一篇主題 下一篇主題 回頂端


 
這個論壇的權限:
無法 在這個版面回復文章